/***** font family *****/
@font-face {
    font-family: 'Vazir';
    font-style: normal;
    font-weight: bold;
    src: url("./fonts/vazir-font-v16.1.0/Vazir-Bold.eot");
    src: url("./fonts/vazir-font-v16.1.0/Vazir-Bold.eot?#iefix") format("embedded-opentype"), url("./fonts/vazir-font-v16.1.0/Vazir-Bold.woff2") format("woff2"), url("./fonts/vazir-font-v16.1.0/Vazir-Bold.woff") format("woff"), url("./fonts/vazir-font-v16.1.0/Vazir-Bold.ttf") format("truetype");
}
  
@font-face {
    font-family: 'Vazir';
    font-style: normal;
    font-weight: 500;
    src: url("./fonts/vazir-font-v16.1.0/Vazir-Medium.eot");
    src: url("./fonts/vazir-font-v16.1.0/Vazir-Medium.eot?#iefix") format("embedded-opentype"), url("./fonts/vazir-font-v16.1.0/Vazir-Medium.woff2") format("woff2"), url("./fonts/vazir-font-v16.1.0/Vazir-Medium.woff") format("woff"), url("./fonts/vazir-font-v16.1.0/Vazir-Medium.ttf") format("truetype");
}
  
@font-face {
    font-family: 'Vazir';
    font-style: normal;
    font-weight: 300;
    src: url("./fonts/vazir-font-v16.1.0/Vazir-Light.eot");
    src: url("./fonts/vazir-font-v16.1.0/Vazir-Light.eot?#iefix") format("embedded-opentype"), url("./fonts/vazir-font-v16.1.0/Vazir-Light.woff2") format("woff2"), url("./fonts/vazir-font-v16.1.0/Vazir-Light.woff") format("woff"), url("./fonts/vazir-font-v16.1.0/Vazir-Light.ttf") format("truetype");
}
  
@font-face {
    font-family: 'Vazir';
    font-style: normal;
    font-weight: 300;
    src: url("./fonts/vazir-font-v16.1.0/Vazir-thin.eot");
    src: url("./fonts/vazir-font-v16.1.0/Vazir-thin.eot?#iefix") format("embedded-opentype"), url("./fonts/vazir-font-v16.1.0/Vazir-thin.woff2") format("woff2"), url("./fonts/vazir-font-v16.1.0/Vazir-thin.woff") format("woff"), url("./fonts/vazir-font-v16.1.0/Vazir-thin.ttf") format("truetype");
}
  
@font-face {
    font-family: "Vazir";
    font-style: normal;
    font-weight: normal;
    src: url("./fonts/vazir-font-v16.1.0/Vazir.eot");
    src: url("./fonts/vazir-font-v16.1.0/Vazir.eot?#iefix") format("embedded-opentype"), url("./fonts/vazir-font-v16.1.0/Vazir.woff2") format("woff2"), url("./fonts/vazir-font-v16.1.0/Vazir.woff") format("woff"), url("./fonts/vazir-font-v16.1.0/Vazir.ttf") format("truetype");
}

/***** colors *****/
$color1: #2b5566;
$color2: #48c0c1;
$color3: #d8954c;
$color2_darker: #32a0a0;
$color3_darker: #c98741;

/***** responsive break points *****/
/*
@media only screen and (max-width: breakPoint ) {
    
}
*/
$mobile: 320px;
$mobile_l: 550px;
$tablet: 768px;
$tablet_l: 992px;
$laptop: 1024px;
$laptop_l: 1440px;


.custom-container{
    padding-right: 0;
    padding-left: 0;
    width: 100%,
}
// .container {
//     padding-right: 15px;
//     padding-left: 15px;
//     margin-right: auto;
//     margin-left: auto;
//     // max-width: 1310px !important;
// }

// @media (min-width: 768px) {
//     .container {
//       width: 750px;
//     }
// }
// @media (min-width: 992px) {
//     .container {
//       width: 80%;
//     }
// }
@media (min-width: 1200px) {
    .container {
      width: 90%;
      max-width: 1260px;
    }
}
// @media (min-width: 1440px) {
//     .container {
//       width: 1400px;
//     }
// }
// @media (min-width: 1600px) {
//     .container {
//         max-width: 1600px;
//     }
// }
@media (max-width: $mobile_l) {
    .container_fluid {
        width: 85%;
        margin-right: auto;
        margin-left: auto;
    }
}

// .container-fluid {
//     padding-right: 15px;
//     padding-left: 15px;
//     width: 100%;
//     margin-right: auto;
//     margin-left: auto;
// }

/* mixins */
@mixin transitionStyle {
    transition: all 0.3s ease-in-out;
}
@mixin bgImgStyle ($bgUrl) {
    background-image: url($bgUrl);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}


/* common classes & stuff */
.clearfix::after {
    content: "";
    clear: both;
    display: table;
}
.section_padding_y {
    padding-top: 80px ;
    padding-bottom: 80px ;
}
.first_section {
    padding-top: 130px;
}
.main_title {
    > h6, & > h2 {
        line-height: 2;
        color: $color3;
        font-size: 2em;
        font-weight: 500;
        position: relative;
        margin-bottom: 4rem;
        &::after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            margin: auto;
            width: 250px;
            height: 3px;
            background: rgba(74,193,189,1);
            background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(74,193,189,1) 25%, rgba(74,193,189,1) 50%, rgba(74,193,189,1) 75%, rgba(255,255,255,0) 100%);
        }
    }
}
@media only screen and (max-width: $tablet ) {
    .main_title {
        > h6, & > h2 {
            font-size: 1.5em;
            &::after {
                width: 100%;
            }
        }
    }
}

.btn {
    color: #fff;
    border-radius: 20px;
    // border: 1px solid $color2;
    background-color: $color3;
    padding: 8px 30px;
    @include transitionStyle;
    &:hover {
        color: #dedede;
        background-color: $color3_darker;
    }
}

.bg_lines {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background-image: url(../images/patern-min.png);
    background-size: 20px;
    background-repeat: repeat;
    opacity: .07;
}

body {
    font-family: 'Vazir';
}

a {
    text-decoration: none;
    color: $color2;
    transition: color .3s;
    // &:hover {
    //     color: $color1;
    // }
}

p {
    letter-spacing: 0px;
    font-size: 1.6rem;
    text-align: justify;
    color: #5f5f5f;
    direction: rtl;
    margin-bottom: 2rem;
}
@media only screen and (max-width: $tablet ) {
    p {
        font-size: 1.4rem;
    }
}

.slick-slide:focus {
    outline: none !important;
}
.slick-slide > div:focus {
    outline: none !important;
}

.row[ dir=rtl ] {
    .one-half.column {
        float: right;
        width: 100%;
    }
    .column, .columns {
        margin-left: 0;
        margin-right: 0;
    }
}
@media (min-width: 550px) {
    .row[ dir=rtl ] {
        .one-half.column {
            width: 100%;
        }
        // .column:nth-child(2), .columns:nth-child(2) {
        //     margin-left: 4% !important;
        // }
    }
}
@media (min-width: 750px) {
    .row[ dir=rtl ] {
        .one-half.column {
            float: right;
            width: 48%;
        }
        .column:nth-child(1), .columns:nth-child(1) {
            margin-left: 4% !important;
        }
    }
}

// @media only screen and (max-width: breakPoint ) {
//     p {
//         font-size: ;
//     }
// }

h1, h2, h3, h4, h5, h6 {
    letter-spacing: 0;
}

ul {
    li {
        list-style: none;
    }
}

.card_label {
    position: absolute;
    top: 8%;
    right: -20px;
    background-color: $color2;
    padding: 10px 40px 10px 20px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    z-index: 0;
    box-shadow: -5px 4px 3px 0px rgba(0, 0, 0, 0.1);
    &::before {
        content: '';
        position: absolute;
        left: auto;
        right: 0;
        top: 100%;
        background-color: transparent !important;
        border-style: solid;
        border-width: 0 20px 20px 0;
        transform: rotate(-90deg);
        border-color: transparent;
        border-right-color: $color2_darker;
        width: 0;
        height: 0;
        z-index: -1;
    }
    span {
        color: #fff;
        font-weight: 500;
    }
}